"use strict";
exports.__esModule = true;
exports.express = void 0;
var index_1 = require("../index");
function express(name, level, format) {
    if (name === void 0) { name = "request"; }
    if (level === void 0) { level = 'info'; }
    if (format === void 0) { format = "{method} {url} resolve in {time}ms with {status}"; }
    return function (request, response, next) {
        var LOG = new index_1.SimpleLogger(name);
        var URL = request.url;
        var METHOD = request.method;
        var init = new Date().getTime(); // current time
        response.logger = LOG; // pass logger to the next middleware
        next(); // call next middleware
        response.on('finish', function () {
            var final = new Date().getTime();
            LOG[level](format, {
                method: METHOD,
                url: URL,
                time: (final - init),
                status: response.statusCode
            });
        });
    };
}
exports.express = express;
