"use strict";
exports.__esModule = true;
exports.Formatter = void 0;
var Formatter = /** @class */ (function () {
    function Formatter() {
    }
    Formatter.formatObj = function (line, data) {
        var keys = Object.keys(data);
        var out = line;
        if (!out) {
            out = "";
        }
        for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
            var k = keys_1[_i];
            out = out.replace(new RegExp("\\{" + k + "\\}", "gi"), data[k]);
        }
        return out;
    };
    Formatter.format = function (line) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        var keys = Object.keys(args);
        var out = line;
        if (!out) {
            out = "";
        }
        for (var k in keys) {
            out = out.replace(new RegExp("\\{" + k + "\\}", "gi"), args[k]);
        }
        return out;
    };
    Formatter.formatText = function (text, length) {
        var textLength = text.length;
        var OUT = {
            maxLength: length,
            lenght: length,
            text: text
        };
        if (textLength % 2 != 0) {
            textLength += 1;
            text = " " + text;
        }
        var diff = length - textLength;
        if (diff <= 0) {
            OUT.maxLength = textLength + 2;
            diff = 2;
        }
        if (diff % 2 != 0) {
            diff += 1;
        }
        var side = Math.floor(diff / 2);
        var span = "";
        for (var i = 1; i <= side; i++) {
            span += " ";
        }
        var out = span + text + span;
        OUT.text = out;
        OUT.lenght = out.length;
        return OUT;
    };
    return Formatter;
}());
exports.Formatter = Formatter;
